/*
    Earth.java
    Program to display rotating earth
    By Roger T. Stevens  4-5-99
*/
package j3d.cr325;

import com.sun.j3d.utils.applet.MainFrame;
import j3d.Utils;

import javax.media.j3d.BranchGroup;
import javax.media.j3d.Canvas3D;
import java.applet.Applet;
import java.awt.*;

import utils.SystemUtils;

public class MandelEarth extends Applet {

    public MandelEarth() {
        Canvas3D c = Utils.getCanvas3D(this);
        add(c, BorderLayout.CENTER);
        String ps = SystemUtils.getFileSeparator();
        String img2 = "color"+ps+"airplane.JPEG";
        BranchGroup bg = Utils.getTextureSphere(0.5,
                0, 0, img2);
        BasicUniverse u = new BasicUniverse(c,10);
        u.addBranchGraph(bg);
    }

    public static void main(String[] args) {
        new MainFrame(new MandelEarth(), 200, 200);
    }
}
